<script setup lang="ts">
import { useSalaryStore } from '@/stores/salary'
import { useUserStore } from '@/stores/user';

import {  ref } from 'vue'

const salaryStore = useSalaryStore()
const search = ref('')
const headers = [
  { key: 'idSalary', sortable: false, title: 'Salary Id' },
  { key: 'fullname', title: 'Fullname', sortable: false },
  { key: 'gender', title: 'Gender', sortable: false },
  { key: 'role', title: 'Role', sortable: false },
  { key: 'month', title: 'Month', sortable: false },
  { key: 'salarybaht', title: 'Salary (Baht)', sortable: false },
  { key: 'status', title: 'Status', sortable: false },
  { key: 'actions', title: 'Actions', sortable: false }
]
</script>

<template>
  <v-dialog
    v-model="salaryStore.reportSalaryDialog"
    fullscreen
    :scrim="false"
    transition="dialog-bottom-transition"
  >
    <v-card>
      <v-toolbar dark color="primary">
        <v-btn icon dark @click="salaryStore.reportSalaryDialog = !salaryStore.reportSalaryDialog">
          <v-icon>mdi-close</v-icon>
        </v-btn>
        <v-toolbar-title>Pay Salary</v-toolbar-title>
        <v-spacer></v-spacer>
      </v-toolbar>

      <v-container> 

      <v-row no-gutters>
        <v-col cols="12" md="5">
          <v-text-field
          v-model="search"
            density="compact"
            variant="solo"
            label="Search Salary"
            append-inner-icon="mdi-magnify"
            single-line
            hide-details
            style="width: 200px"
          >
          </v-text-field>
        </v-col>
      </v-row>
      <v-data-table :headers="headers" :items-per-page="8" :search="search">
        <template v-slot:[`item.actions`]="{ item }">
          <v-icon size="large" class="me-2" @click="salaryStore.editItem(item)"> mdi-cash </v-icon>
        </template>
      </v-data-table>
    </v-container>
    </v-card>
  </v-dialog>
</template>

<style scoped>
tbody tr:nth-of-type(even) {
  background-color: white;
}

tbody tr:nth-of-type(odd) {
  background-color: white;
}

thead {
  background-color: white;
  color: rgb(0, 0, 0);
  font-weight: bold;
}
.theme--light.v-data-table thead tr th {
  color: white;
}
.dialog-bottom-transition-enter-active,
.dialog-bottom-transition-leave-active {
  transition: transform 0.2s ease-in-out;
}
</style>
